Patch Deposit Bank Account
PATCH
https://bank.dattaremit.com/api/deposit_bank_accounts/{deposit_bank_account_guid}Requires a bank-scoped key.
Updates a deposit bank account.
Required scope: deposit_bank_accounts:write
Path Params
deposit_bank_account_guidstringrequiredIdentifier for the deposit bank account.
Body Params
requirednamestringThe name of the deposit bank account.
Responses
200Deposit bank account updated
401Unauthorized - Authentication failed
403Invalid scope
404deposit_bank_account not found
Request
curl https://api.dattaremit.com/api/deposit_bank_accounts/{deposit_bank_account_guid} \
-X PATCH \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'Response
Deposit bank account updated
{
"guid": "string",
"name": "string",
"type": "string",
"bank_guid": "string",
"customer_guid": "string",
"account_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"deleted_at": "2026-07-20T16:27:51.438Z",
"asset": "string",
"state": "string",
"unique_memo_id": "string",
"counterparty_name": "string",
"counterparty_address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"account_details": [
{
"account_number": "string"
}
],
"routing_details": [
{
"routing_number_type": "string",
"routing_number": "string"
}
],
"parent_deposit_bank_account_guid": "string",
"labels": [
"string"
]
}